#
# spec file for package perl-HTML-Tagset
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name HTML-Tagset
Name:           perl-HTML-Tagset
Version:        3.240.0
Release:        1.1
# 3.24 -> normalize -> 3.240.0
%define cpan_version 3.24
License:        Artistic-2.0
Summary:        Data tables useful in parsing HTML
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.46
BuildRequires:  perl(Test::More) >= 0.95
Provides:       perl(HTML::Tagset) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module contains several data tables useful in various kinds of HTML
parsing operations.

Note that all tag names used are lowercase.

In the following documentation, a "hashset" is a hash being used as a set
-- the hash conveys that its keys are there, and the actual values
associated with the keys are not significant. (But what values are there,
are always true.)

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md

%changelog
* Fri Mar 22 2024 Tina Müller <timueller+perl@suse.de>
- updated to 3.24
  see /usr/share/doc/packages/perl-HTML-Tagset/Changes
  2024-03-11  Andy Lester
  * Release 3.24
    No changes in functionality. Only updates metadata for builds.
  2024-03-09  Andy Lester
  * Release 3.22
    HTML::Tagset now requires Perl 5.10.1. It might run on earlier
    Perls but I don't have the infrastructure to test them.
    Added <ins> and <del> to %%isPhraseMarkup (RT #151970)
    Fixed docs about %%isBodyElement calling it %%isBodyMarkup
    (RT #34913, RT #109024, RT #118356)
    Cleaned up metadata and version requirements.
    No changes have been made to handle HTML5. That is a bigger issue
    than "just add the tags to the hashes," because that would change
    functionality for existing users who are expecting HTML::Tagset to
    be HTML4.
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Feb 25 2011 chris@computersalat.de
- recreated by cpanspec 1.78.03
- noarch pkg
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Mar  3 2008 anicka@suse.cz
- update to 3.20
  * Added <div> to the list of p_closure_barriers.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 anicka@suse.cz
- update to 3.10
* Thu Feb 17 2005 mjancar@suse.cz
- update to 3.04
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix filelist
* Fri Jun  6 2003 mjancar@suse.cz
- repacked the source by gzip
- don't package MANIFEST
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 rvasice@suse.cz
- spec file cleanup
* Mon Mar 26 2001 cihlar@suse.cz
- package created
